Inventory Table - Export Velocity
curl --request POST \
--url https://app.skulabs.com/s/job/inventory_table/export_velocity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"columns": [
{
"name": "<string>",
"data": "<string>",
"visible": true
}
],
"order": [
{
"column": 123
}
],
"start": 0,
"length": 50,
"filters": {
"warehouses": [
"<string>"
],
"stores": [
"<string>"
],
"movers": [],
"show_unsold_items": true,
"show_inactive_items": true,
"show_stocked_items": true,
"show_unstocked_items": true,
"distributors": [
"<string>"
],
"order_tags": [
"507f1f77bcf86cd799439011"
]
},
"search": {
"value": "<string>",
"regex": true
},
"draw": 123,
"num_days": 123,
"statuses": "<string>",
"source": "<string>"
}
}
'import requests
url = "https://app.skulabs.com/s/job/inventory_table/export_velocity"
payload = { "data": {
"columns": [
{
"name": "<string>",
"data": "<string>",
"visible": True
}
],
"order": [{ "column": 123 }],
"start": 0,
"length": 50,
"filters": {
"warehouses": ["<string>"],
"stores": ["<string>"],
"movers": [],
"show_unsold_items": True,
"show_inactive_items": True,
"show_stocked_items": True,
"show_unstocked_items": True,
"distributors": ["<string>"],
"order_tags": ["507f1f77bcf86cd799439011"]
},
"search": {
"value": "<string>",
"regex": True
},
"draw": 123,
"num_days": 123,
"statuses": "<string>",
"source": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
columns: [{name: '<string>', data: '<string>', visible: true}],
order: [{column: 123}],
start: 0,
length: 50,
filters: {
warehouses: ['<string>'],
stores: ['<string>'],
movers: [],
show_unsold_items: true,
show_inactive_items: true,
show_stocked_items: true,
show_unstocked_items: true,
distributors: ['<string>'],
order_tags: ['507f1f77bcf86cd799439011']
},
search: {value: '<string>', regex: true},
draw: 123,
num_days: 123,
statuses: '<string>',
source: '<string>'
}
})
};
fetch('https://app.skulabs.com/s/job/inventory_table/export_velocity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"path": "<string>",
"count": 123
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Inventory Table
Inventory Table - Export Velocity
Export inventory velocity data (sales speed analysis) as a downloadable report.
POST
/
s
/
job
/
inventory_table
/
export_velocity
Inventory Table - Export Velocity
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Table configuration for the velocity export (same as build_rows with type=velocity)
Show child attributes
Show child attributes
⌘I